import unittest
import time

from selenium import webdriver


class NewVisitorTest(unittest.TestCase):

	def setUp(self):
		self.browser = webdriver.Firefox()

	def tearDown(self):
		self.browser.quit()

	def test_can_display_home_and_go_to_ingredients(self):
		self.browser.get('http://localhost:8000')
		self.assertIn('The Good Place Froyo Shop',self.browser.title)
		

		model_list = self.browser.find_element_by_id('model_list')
		self.assertEqual(
			'ul',
			model_list.tag_name
		)

		ingredients_page = self.browser.find_element_by_id('ingredients')
		ingredients_page.click()
		time.sleep(1)

		self.assertEqual(
			"http://localhost:8000/ingredients",
			self.browser.getCurrentUrl()
		)

		

		self.assertIn('Ingredients - List', self.browser.title)

		self.fail('Finish the test')


if __name__ == '__main__':
	unittest.main(warnings='ignore')